const statusCode = require("../utils/statusCodes").statusCodes;
const { getMessages } = require("../db/api.js");
const { logger } = require("../system/Logger");

async function messages(body, res) {
    const { roomId } = body;
    getMessages(roomId).then((messages) => {
        res.status(statusCode.OK).json(messages);
    }).catch((err) => {
        logger.err(err)
        res.status(statusCode.INTERNAL_SERVER_ERROR);
    });
}

module.exports = {
    messages,
};
