const { getAddresseId, getUserIdOfMailbox } = require("../../db/mail");
const { generateAttrs, generateUsers } = require("../test-utils/test-attrsUtils");
const { registerMessageInApp, roomType } = require("../../mails/saveMessage");

jest.mock("../../db/mail");

// todo mock db

describe("saveMessage", () => {
    describe("is not a reply", () => {
        it("DM from user should be assigned to other user", async () => {
            const users = generateUsers(2);
            const attrs = generateAttrs({ from: [users[0].user], to: [users[1].user] });

            getUserIdOfMailbox.mockReturnValue([{ user_id: users[0].id }]);
            getAddresseId.mockImplementation((email) => {
                const match = users.find((user) => user.user.mailbox + "@" + user.user.host == email);
                return match.id;
            });

            const register = new registerMessageInApp(1, attrs, 1);

            const createOrRegisterOnExistence = jest
                .spyOn(register, "createOrRegisterOnExistence")
                .mockImplementation(() => undefined);

            await register.save();

            expect(createOrRegisterOnExistence).toHaveBeenCalledWith(users[1].id, roomType.DM);
        });

        it("DM message from user should be added to DM room", async () => {
            // todo multiple messages
        });
        // it("first GROUP message should create a group", () => {});
    });
    describe("replies", () => {
        it("", () => {});
    });
    describe("", () => {});
});
