const { nbMembers } = require("../../../mails/utils/statusUtils");

describe("statusUtils", () => {
    it("sender and from shouldn't be counted twice if there are the same", () => {
        const envelope = {
            from: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            sender: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            replyTo: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            to: null,
            cc: null,
            bcc: null,
            inReplyTo: null,
        };
        expect(nbMembers(envelope)).toBe(1);
    });
    it("sender and from shoud be counted twice if there are the same", () => {
        const envelope = {
            from: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            sender: [{ name: "", mailbox: "user_2", host: "provider.com" }],
            replyTo: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            to: null,
            cc: null,
            bcc: null,
            inReplyTo: null,
        };
        expect(nbMembers(envelope)).toBe(2);
    });
    it("should count every members", () => {
        const envelope = {
            from: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            sender: [{ name: "", mailbox: "user_2", host: "provider.com" }],
            replyTo: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            to: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            cc: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            bcc: [{ name: "", mailbox: "user_1", host: "provider.com" }],
            inReplyTo: null,
        };
        expect(nbMembers(envelope)).toBe(5);
    });
});
